//==================================
//PU-1201KIROBOɓCu
//2012-8-8 
#include "Arduino.h"
#include "elekitKIROBO.h"
//==================================PIN SETTING
PINASSGIN::PINASSGIN(){}
//----------------------------------
void PINASSGIN::SET(){
  pinMode(MotorB2, OUTPUT);      pinMode(MotorB1, OUTPUT);
  pinMode(PWM_A,   OUTPUT);      pinMode(PWM_B,   OUTPUT);
  pinMode(MotorA1, OUTPUT);      pinMode(MotorA2, OUTPUT);
  pinMode(LED_M1,  OUTPUT);      pinMode(LED_M2,  OUTPUT);
  pinMode(LED_PG,  OUTPUT);      pinMode(BZ,      OUTPUT);
  pinMode(Sens1, INPUT_PULLUP);  pinMode(Sens2, INPUT_PULLUP);
  pinMode(Touch1,INPUT_PULLUP);  pinMode(Touch2,INPUT_PULLUP);
  pinMode(StartSW, INPUT_PULLUP);

  digitalWrite(LED_M1,LOW);  //LED_M1 INITIAL
  digitalWrite(LED_M2,LOW);  //LED_M2 INITIAL
}
//==================================MOVE SETTING
//------------------------------FWD
MOVEfwd::MOVEfwd(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVEfwd::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, HIGH); digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVEfwd::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, HIGH); digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVEfwd::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, HIGH); digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------BACK
MOVEback::MOVEback(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVEback::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1,HIGH);  digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVEback::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1,HIGH);  digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVEback::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1,HIGH);  digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------R-FWD
MOVERfwd::MOVERfwd(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVERfwd::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, HIGH);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVERfwd::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, HIGH);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVERfwd::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, HIGH);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------L-FWD
MOVELfwd::MOVELfwd(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVELfwd::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVELfwd::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVELfwd::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------R BACK
MOVERback::MOVERback(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVERback::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, HIGH);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVERback::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, HIGH);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVERback::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, HIGH);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------L BACK
MOVELback::MOVELback(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVELback::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVELback::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVELback::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, LOW);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------R SPIN
MOVERspin::MOVERspin(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVERspin::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, HIGH);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVERspin::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, HIGH);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVERspin::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, LOW);   digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, HIGH);   digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//------------------------------L SPIN
MOVELspin::MOVELspin(int a1, int b1){
  pahv = map(a1,0,100,100,180);  pbhv = map(b1,0,100,100,180);
  pamv = map(a1,0,100,60,100);   pbmv = map(b1,0,100,60,100);
  palv = map(a1,0,100,20,60);    pblv = map(b1,0,100,20,60);
}
void MOVELspin::H(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbhv);     analogWrite(PWM_A,pahv);
  digitalWrite(MotorB1, HIGH);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);    digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVELspin::M(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pbmv);     analogWrite(PWM_A,pamv);
  digitalWrite(MotorB1, HIGH);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);    digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOVELspin::L(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,pblv);     analogWrite(PWM_A,palv);
  digitalWrite(MotorB1, HIGH);   digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);    digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
//==================================STOP SETTING
MOTORstop::MOTORstop(){}
void MOTORstop::BRAKE(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
  digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
  digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
    analogWrite(PWM_B,0);        analogWrite(PWM_A,0);
    digitalWrite(MotorB1, LOW);  digitalWrite(MotorA1, LOW);
    digitalWrite(MotorB2, LOW);  digitalWrite(MotorA2, LOW);
  }
}
void MOTORstop::OFF(int actval = 0){
  acttime = actval;
  analogWrite(PWM_B,255);       analogWrite(PWM_A,255);
  digitalWrite(MotorB1, HIGH);  digitalWrite(MotorA1, HIGH);
  digitalWrite(MotorB2, HIGH);  digitalWrite(MotorA2, HIGH);
  if(acttime != 0){
    for(int i=1; i<=acttime; i++){
      delay(1);
    }
  }
}
//==================================BUZZER CONTROL
CONTROLbuzzer::CONTROLbuzzer(){}
void CONTROLbuzzer::H(){            //Buzzer High 1kHz
  for(int i=0; i<=100; i++){
    digitalWrite(BZ,HIGH);   delayMicroseconds(500);
    digitalWrite(BZ, LOW);   delayMicroseconds(500);
  }
  delay(50);
}
void CONTROLbuzzer::M(){            //Buzzer Middle 500Hz
  for(int i=0; i<=50; i++){
    digitalWrite(BZ,HIGH);   delay(1);
    digitalWrite(BZ, LOW);   delay(1);
  }
  delay(50);
}
void CONTROLbuzzer::L(){            //Buzzer LOW 200Hz
  for(int i=0; i<=20; i++){
    digitalWrite(BZ,HIGH);   delay(2);
    digitalWrite(BZ, LOW);   delay(3);
  }
  delay(50);
}
void CONTROLbuzzer::WAKEUP(){
  for(int k=0; k<=1; k++){
    for(int i=0; i<=100; i++){
      digitalWrite(BZ,HIGH);   delayMicroseconds(500);
      digitalWrite(BZ, LOW);   delayMicroseconds(500);
    }
    delay(70);
  }
}
//==================================EXTERNAL LED CONTROL
CONTROLLED::CONTROLLED(){}
void CONTROLLED::ON(){
  digitalWrite(LED_PG, HIGH);
}
void CONTROLLED::OFF(){
  digitalWrite(LED_PG, LOW);
}
//====================SW1 TOUCH1/2 LIGHT1/2 SENSOR CHECK
INPUTcheck::INPUTcheck(int thresholdval){
  thval = thresholdval;
}
boolean INPUTcheck::LIGHT(int pinnumval){         //Light-Sensor Check
  pinnumber = pinnumval;
  if(pinnumber == 2){
    int a = analogRead(Sens2);
    if(a <= thval){
       digitalWrite(LED_M2,HIGH);        //Monitor-LED1 ON
       delay(1);
       digitalWrite(LED_M2,LOW);
       return 1;                         //ON  >>>value=1
    }else{
       digitalWrite(LED_M2,LOW);         //Monitor-LED1 OFF
       return 0;                         //OFF >>>value=1
    }
  }else{
    int a = analogRead(Sens1);
    if(a <= thval){
       digitalWrite(LED_M1,HIGH);        //Monitor-LED1 ON
       delay(1);
       digitalWrite(LED_M1,LOW);
       return 1;                         //ON  >>>value=1
    }else{
       digitalWrite(LED_M1,LOW);         //Monitor-LED1 OFF
       return 0;                         //OFF >>>value=1
    }
  }
}

boolean INPUTcheck::TOUCH(int pinnumval){
  pinnumber = pinnumval;
  if(pinnumber == 2){
    int a = analogRead(Touch2);
    if(a <= 512){
      return 1;                         //ON  >>>value=1
    }else{
      return 0;                         //OFF >>>value=0
    }
  }else{
    int a = analogRead(Touch1); 
    if(a <= 512){
      return 1;                         //ON  >>>value=1
    }else{
      return 0;                         //OFF >>>value=0
    }
  }
}

boolean INPUTcheck::SW(int pinnumval){
  int a = digitalRead(StartSW);
  if(a == 0){
    return 1;
  }else{
    return 0;
  }
}